using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;

namespace Consulenza.ReportWriter.Manager.Chapter.Immobiliare.MonitoraggioNucleo
{
    public class S19 : Entity.Chapter
    {
        public S19(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S19(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));
        }
    }
}
